
#ifdef TUSBADM2_EXPORTS
#define TUSBADM2_API __declspec(dllexport) _cdecl
#else
#define TUSBADM2_API __declspec(dllimport) _cdecl
#endif

#ifdef __cplusplus
extern "C"{
#endif

	short TUSBADM2_API Tusbadm2_Device_Open( short id );
	void TUSBADM2_API Tusbadm2_Device_Close( short id );
	short TUSBADM2_API Tusbadm2_Dio_Read(short Id,unsigned char *Data);
	short TUSBADM2_API Tusbadm2_Dio_Write(short Id,unsigned char Data);
	short TUSBADM2_API Tusbadm2_Length (short Id,int *Len1, int *Len2,int *Rate1,int *Rate2);
	short TUSBADM2_API Tusbadm2_Data_Get(short Id,unsigned char ch,short *Data,int *Leng);
	short TUSBADM2_API Tusbadm2_Adc_Start(short Id,int CycLen, int PreLen,unsigned char TrgSel,unsigned char Mode,unsigned char Ch1Only);
	short TUSBADM2_API Tusbadm2_Adc_Stop(short Id );
	short TUSBADM2_API Tusbadm2_Status_Get(short Id ,unsigned char *Status,unsigned char *OvfSt);
	short TUSBADM2_API Tusbadm2_Clock_Select	(short Id ,unsigned char InExt, unsigned char Inv,short Dev);
	short TUSBADM2_API Tusbadm2_ThLevel_Set (short Id ,short ThLevel, short NLevel);
	short TUSBADM2_API Tusbadm2_InputType(short Id ,unsigned char Type1,unsigned char Type2);
	short TUSBADM2_API Tusbadm2_CheckInputType(short Id ,unsigned char *Type1,unsigned char *Type2);
	short TUSBADM2_API Tusbadm2_Trigger(short Id );
	short TUSBADM2_API Tusbadm2_TransLimit(short Id ,int Limit);

#ifdef __cplusplus
}
#endif

